Bug 21038 - Reserves should be holds
Summary: Reserves should be holds
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2018-07-04 20:21 UTC by Katrin Fischer
Modified: 2018-08-02 11:45 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21038: Reserves should be holds (1.35 KB, patch)
2018-07-16 18:44 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21038: Reserves should be holds (1.41 KB, patch)
2018-07-16 20:20 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2018-07-04 20:21:32 UTC
When moderating a discharge request from the discharge tab in the patron's account in staff, existing holds will trigger a message:

Borrower has reserves

Reserves should be holds to match terminology used in Koha.
Comment 1 Owen Leonard 2018-07-16 18:44:36 UTC
Created attachment 77021 [details] [review]
Bug 21038: Reserves should be holds

This patch corrects the text of the warning about discharges cancelling
holds.

To test, apply the patch and view the discharge for a patron who has
holds:

 - "Borrower" is changed to "patron"
 - "reserves" is changed to "holds"
 - "canceled" (18 instances in the templates) is changed to "cancelled"
   (51 instances).
Comment 2 Katrin Fischer 2018-07-16 20:20:00 UTC
Created attachment 77023 [details] [review]
Bug 21038: Reserves should be holds

This patch corrects the text of the warning about discharges cancelling
holds.

To test, apply the patch and view the discharge for a patron who has
holds:

 - "Borrower" is changed to "patron"
 - "reserves" is changed to "holds"
 - "canceled" (18 instances in the templates) is changed to "cancelled"
   (51 instances).

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Katrin Fischer 2018-07-16 20:20:24 UTC
String change, moving to PQA directly.
Comment 4 Nick Clemens 2018-07-18 19:18:06 UTC
Awesome work all!

Pushed to master for 18.11
Comment 5 Martin Renvoize 2018-08-02 11:45:44 UTC
Pushed to 18.05.x for 18.05.03